classification
Title: in xmlrpclib.py: NameError: global name 'HTTPSConnection' is not defined
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: kristjan.jonsson Nosy List: ivank, kristjan.jonsson, loewis
Priority: normal Keywords:

Created on 2009-08-23 22:20 by ivank, last changed 2010-01-13 17:57 by kristjan.jonsson. This issue is now closed.

Messages (3)
msg91895 - (view) Author: ivank (ivank) Date: 2009-08-23 22:20
Line 1491 of xmlrpclib.py should be

self._connection = host, httplib.HTTPSConnection(chost, None, **(x509 or
{}))

instead of

self._connection = host, HTTPSConnection(chost, None, **(x509 or {}))

  File
"/opt/Python-latest/lib/python2.7/site-packages/bzrlib/plugins/launchpad/lp_registration.py",
line 166, in send_request
    result = method(*method_params)
  File "/opt/Python-latest/lib/python2.7/xmlrpclib.py", line 1224, in
__call__
    return self.__send(self.__name, args)
  File "/opt/Python-latest/lib/python2.7/xmlrpclib.py", line 1570, in
__request
    verbose=self.__verbose
  File "/opt/Python-latest/lib/python2.7/xmlrpclib.py", line 1264, in
request
    return self.single_request(host, handler, request_body, verbose)
  File "/opt/Python-latest/lib/python2.7/xmlrpclib.py", line 1284, in
single_request
    h = self.make_connection(host)
  File "/opt/Python-latest/lib/python2.7/xmlrpclib.py", line 1491, in
make_connection
    self._connection = host, HTTPSConnection(chost, None, **(x509 or {}))
NameError: global name 'HTTPSConnection' is not defined

bzr 1.15 on python 2.7a0 (linux2)


I think this has been broken for around two weeks, maybe more. I don't
know if this is broken in 3.x.
msg91911 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-08-24 08:44
Kristjan, can you take a look?
msg91915 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-08-24 11:42
Thanks, that's a silly bug.  fixed in revision 74543.
Perhaps we need a https regression test in the test suite.
History
Date User Action Args
2010-01-13 17:57:30kristjan.jonssonsetstatus: open -> closed
2009-08-24 11:42:44kristjan.jonssonsetmessages: + msg91915
2009-08-24 08:44:40loewissetassignee: kristjan.jonsson

messages: + msg91911
nosy: + loewis
2009-08-23 22:28:21ezio.melottisetpriority: normal
nosy: + kristjan.jonsson
type: crash -> behavior
2009-08-23 22:20:11ivankcreate